package com.ruoyi.interfaces.mapper;

import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.interfaces.domain.TbModels;

import java.util.List;

/**
 * 模型Mapper接口
 * 
 * @author ruoyi
 * @date 2025-06-12
 */
public interface TbModelsMapper
{
    /**
     * 查询模型
     * 
     * @param modelId 模型主键
     * @return 模型
     */
    public TbModels selectTbModelsByModelId(Long modelId);

    /**
     * 查询模型列表
     * 
     * @param tbModels 模型
     * @return 模型集合
     */
    public List<TbModels> selectTbModelsList(TbModels tbModels);

    /**
     * 新增模型
     * 
     * @param tbModels 模型
     * @return 结果
     */
    public int insertTbModels(TbModels tbModels);

    /**
     * 修改模型
     * 
     * @param tbModels 模型
     * @return 结果
     */
    public int updateTbModels(TbModels tbModels);

    /**
     * 删除模型
     * 
     * @param modelId 模型主键
     * @return 结果
     */
    public int deleteTbModelsByModelId(Long modelId);

    /**
     * 批量删除模型
     * 
     * @param modelIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbModelsByModelIds(Long[] modelIds);
}